function checkresponse(sensor)
%CHECKRESPONSE check response message of the RFBeam V-MD3 radar sensor
%   sensor      radar sensor device

switch sensor.mode
    case {'rfbsimo','rfbmimo'}
        if ~isequal(read(sensor.cmd,9),[uint8('RESP'),1,0,0,0,0])
            error('protocol error');
        end

    otherwise
    	error('unsupported mode');  
end

end
